List Sessions
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
sessions
List Sessions
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/sessions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "<string>",
"project_id": "<string>",
"channel": "<string>",
"direction": "web",
"transport": "<string>",
"status": "<string>",
"llm_id": "<string>",
"stt_id": "<string>",
"tts_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"room_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"user_identifier": "<string>",
"ended_by": "<string>",
"failure_reason": "<string>",
"hangup_reason": "<string>",
"language": "<string>",
"message_count": 0,
"duration_seconds": 123,
"agent_duration_seconds": 123,
"transfer_duration_seconds": 123,
"avg_agent_latency_ms": 123,
"avg_user_latency_ms": 123,
"attempt_number": 1,
"goal_status": "<string>",
"agent_id": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Sessions
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/sessions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "<string>",
"project_id": "<string>",
"channel": "<string>",
"direction": "web",
"transport": "<string>",
"status": "<string>",
"llm_id": "<string>",
"stt_id": "<string>",
"tts_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"room_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"user_identifier": "<string>",
"ended_by": "<string>",
"failure_reason": "<string>",
"hangup_reason": "<string>",
"language": "<string>",
"message_count": 0,
"duration_seconds": 123,
"agent_duration_seconds": 123,
"transfer_duration_seconds": 123,
"avg_agent_latency_ms": 123,
"avg_user_latency_ms": 123,
"attempt_number": 1,
"goal_status": "<string>",
"agent_id": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
